## mpg321 0.2.0

=== debian/changelog ===
mpg321 (0.2.0) unstable; urgency=low

  * modified to compile and use libao2 by Stan Seibert and Eduard Bloch.
    Closes: Bug#109078
  * implemented CDR, AU and ARTS output support, noted in the manpage.
    Also by Stan Seibert and Eduward Bloch. I'm very impressed!
  * Added compile-time default audio device setting (--with-default-audio=)
  * Added aRts support
  * Enhanced run-time audio device to allow mpg321 to switch easily between
    esd, aRts, oss, alsa, and sun-style audio output
  * made -o h, -o l, -o s no-ops again, rather than emitting error messages.
  * Fixed volume not getting adjusted on mono streams
  * Made usage come up if you use options but specify no files/streams
  * Made mpg321 stop immediately if it can't open a file, like mpg123
  * Made Directory: only show for files which have a path in the filename.
  * Renamed short equiv for --aggressive to -I (Closes: Bug#112451)
  * Eduard Bloch implemented --aggressive - Thanks, Eduard!
  * Added support for playlists to use stdin (-@ -) (Closes: Bug#111499)
  * Made mpg321 compile cleanly with -Wall
  * Added -R (remote control) support. This took a lot of effort - it had
    better work. Please test with frontends and report bugs!
    Closes: Bug#92811

 -- Joe Drew <drew@debian.org>  Sun, 23 Sep 2001 02:42:43 -0400

mpg321 (0.1.5) unstable; urgency=low

  * Updated Debian description (Thanks, Joshua)
  * Added configure flag (--enable-mpg123-symlink) to stop creation of mpg123
    symlink on install
  * Added uninstall-hook to warn user about mpg123 symlink on make uninstall;
    it doesn't appear to get run, however. Help!
  * Disable creation of mpg123 -> mpg321 symlink in debian package
  * Re-create /usr/bin/mpg123 -> /etc/alternatives/mpg123 symlink if it
    doesn't exist on install on debian systems.

 -- Joe Drew <drew@debian.org>  Sun, 12 Aug 2001 13:27:37 -0400

mpg321 (0.1.4) unstable; urgency=low

  * Updated the install hook which installs a symlink to mpg123 from mpg321
    to work properly. This only affects non-Debian systems, compiling from
    source.
  * Updated libao detection m4 macro. This provides better support for
    platforms like freebsd which require no dl library to dlopen().
    Also updated makefiles, etc, to distribute new m4 directory.

 -- Joe Drew <drew@debian.org>  Thu,  9 Aug 2001 23:36:45 -0400

mpg321 (0.1.3) unstable; urgency=low

  * Fixed wav file creation. The question isn't why didn't it work now, but
    why did it ever work... Closes: #107014

 -- Joe Drew <drew@debian.org>  Wed,  8 Aug 2001 20:44:05 -0400

mpg321 (0.1.2) unstable; urgency=low

  * Correct ^C multiple times always killing mpg321
  * Corrected non-casting of random() which made all random playing
    and shuffling not shuffled or random at all
  * Made exiting by ^C-ing multiple times print file stats, etc, rather than
    just exit(0)'ing
  * Removed signal handler for TERM (mpg123-oss doesn't handle TERM, so we
    shouldn't either)
  * Updated short description (not smpeg any more) 

 -- Joe Drew <drew@debian.org>  Sat, 21 Jul 2001 17:04:19 -0400

mpg321 (0.1.1) unstable; urgency=low

  * Add check for null string when setting up alsa driver (why did I
    forget the alsa driver? I did it for every other one...)
    Closes: Bug#105618 

 -- Joe Drew <drew@debian.org>  Tue, 17 Jul 2001 22:22:05 -0400

mpg321 (0.1.0) unstable; urgency=low

  * Major refactoring of code
  * Inclusion of -@, -Z and -z options
    (playlists, random play, and shuffle play) (Closes: Bug#95861)
    Thanks to Tobias Bengtsson for creating the first version of playlist
    support for mpg321.
  * Added creation of symlink to mpg123 on install (non-debian systems;
    debian uses alternatives). This won't overwrite an existing file 'mpg123'
    in your binary directory, though.
  * Ported to libmad; mpg321 also now uses libao exclusively for output.
    You can use -o alsa or -o esd to specify a different type of output
    device in addition to the -a to specify the specific device.
    Closes: Bug#94290, Bug#98772
  * This release is no longer dependent on libsdl. People who installed sdl
    because of the dependency, please see the package deborphan.
  * Added proper alternative to mp3-decoder.

 -- Joe Drew <drew@debian.org>  Sun, 15 Jul 2001 18:08:23 -0400

mpg321 (0.0.6) unstable; urgency=low

  * It's official: network access doesn't work correctly. Oh well.
  * Fixed silliness with setting audio device (artifact from getopt
    translation) Closes: Bug#96398
  * Updated build-depends, configure, etc, for libsdl1.2
  * The next version of mpg321 is likely to be a very large rework so that
    I can slot in libmad, and insert playlist support and other important
    things. (I'll do it soon, I swear!)

 -- Joe Drew <drew@debian.org>  Sat,  5 May 2001 12:54:25 -0400

mpg321 (0.0.5.1) unstable; urgency=low

  * Updated man page, usage output because -h is not a valid "help" string,
    even in mpg123 (Closes: Bug#90020)
  * Added Provides: mp3-decoder 

 -- Joe Drew <drew@debian.org>  Sat, 17 Mar 2001 21:13:12 -0500

mpg321 (0.0.5) unstable; urgency=low

  * Implemented SIGTERM handling (Closes: Bug#85316)
    If anyone has trouble with any other frontends, let me know. I am going
    to start filing 'move-from-contrib-to-main' bug reports.
  * Changed maintainer address
  * Implemented DEB_BUILD_OPTIONS, upgraded to policy 3.5.2
  * Updated description
  * Updated manual page
  * Fixed printing total time instead of time played when interrupting a
    song 

 -- Joe Drew <drew@debian.org>  Sat, 17 Mar 2001 03:05:03 -0500

mpg321 (0.0.4) unstable; urgency=low

  * Created README.debian telling about alternatives
  * Fixed stupid source and binary-incompatible libao problem (gah. soname
    didn't change, yet api did?)
  * Fixed dumb no-ops with arguments that I missed
  * Made mpg321 depend on SDL 1.1.8 at least, in order to remove the hackish
    way of supporting devfs

