## mpg321 0.2.10.2

=== debian/changelog ===
mpg321 (0.2.10.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix format string vulnerabilities (CAN-2003-0969)
    [mpg321.c]

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jan 2004 11:13:00 -0800

mpg321 (0.2.10.1) unstable; urgency=low

  * Check both for file existing and link existing in fix-mistake code in
    postinst (Closes: Bug#140622)

 -- Joe Drew <drew@debian.org>  Wed,  3 Apr 2002 23:12:22 -0500

mpg321 (0.2.10) unstable; urgency=low

  * The "Should've tested more" release
  * Fix mismanagement of most id3 tags, which caused crashes.
    Closes: Bug#139409
  * Fix -k option. Closes: Bug#138598
  * Add build-depends on zlib1g-dev. Closes: Bug#138675, Bug#138899
  * Incorporate patches from Bill Nottingham <notting@redhat.com>:
     * Fix format string in ftp code
     * If opening one type of device hangs, try the other ones
       before giving up.
  * Don't print ID3 tag in remote mode when unpausing.
  * Fix strange thinko in remote control parsing code that caused a hang. 

 -- Joe Drew <drew@debian.org>  Sun, 24 Mar 2002 00:44:54 -0500

mpg321 (0.2.9.1) unstable; urgency=low

  * Add build depencency for libid3tag. Closes: Bug#138115 
  * Fix date in boilerplate output. Closes: Bug#138370

 -- Joe Drew <drew@debian.org>  Fri, 15 Mar 2002 11:51:42 -0500

mpg321 (0.2.9) unstable; urgency=low

  * The "Not quite 0.3.0 but damn it, Debian is releasing soon" release.
  * Integrate patch from Luc Saillard starting the work on enabling Shoutcast
    streams. We now recognise shoutcast streams!  Closes: Bug#116385
  * Make reading MPEG data from a file descriptor work properly now.
    We weren't preserving the incomplete frame that MAD passed back to us,
    and this caused seams. This fixes the problems people were having with
    gtoaster. Closes: Bug#123537, Bug#124358
  * Fix EOF-detection on file descriptor streams. Closes: Bug#124360
  * Remove the setvbuf test from configure.ac. This was causing cross-compile
    failures.
  * Add special-case for directory prepending code on playlists to properly
    handle URLs in playlists.
  * Add the long-awaited ID3 code, written graciously by Giuseppe Corbelli
    <cowo@lugbs.linux.it>. Everybody thank him right now! :)
  * Add support for alsa09 libao device, and also slightly generalize output
    device code to allow users to specify unknown devices.
  * Fix segfaults in http, ftp, and files - possible security risk.
    Closes: Bug#134751
  * http requests now follow redirects.

 -- Joe Drew <drew@debian.org>  Sun, 10 Mar 2002 19:38:02 -0500

mpg321 (0.2.3) unstable; urgency=low

  * Removed ao.m4. It makes it more difficult to do aclocal on non-debian
    systems, but that's why I ship aclocal.m4.
  * Remove check for libintl.h in configure.ac; remove ifdef on libintl.h
    in getopt.c. Was causing build failures on systems which didn't have
    gettext integrated into the C library (i.e., anything but Linux)
  * Added check for *env; in ao.c, use putenv by default, unless it doesn't
    exist, in which case we use setenv, if it exists. If none of these exist
    we just don't try to use them.
  * Added support for forced stereo output, --stereo. Closes: Bug#119660.
  * Fixed non-printing of @ status in remote control mode in certain
    situations.
  * Fixed segfault when using test mode. Note that libao prints an ugly
    debugging message when test mode is being used, but that's already
    been fixed upstream. Closes: Bug#119523.
  * Made all mp3s play to their actual end, even if we don't print status
    information for that tail end. Closes: Bug#119661.
  * Recompile with new libmad, which has good shlibs. Closes: Bug#118009.
  * Switch back to automake 1.4, the Sane Choice.
  * Update build dependencies for libmad0-dev.
  * Apply patch from Martijn Vernooij to implement line buffering in
    Remote Control mode. This means that you no longer have to wait for
    a reply to your command to enter another.
  * Various correctness fixes wrt mpg123 emulation.
  * Fix segfault when running a playlist with zero files in random mode 

 -- Joe Drew <drew@debian.org>  Mon, 26 Nov 2001 22:45:33 -0500

mpg321 (0.2.2.3) unstable; urgency=low

  * Recompile against new libmad packages. (Yes, again.)
  * Update Build-Depends for new libmad packages, and modify them for
    new libao requirements (forgot this earlier).

 -- Joe Drew <drew@debian.org>  Mon, 22 Oct 2001 13:49:27 -0400

mpg321 (0.2.2.2) unstable; urgency=low

  * Recompile against new libmad. Grr, broke binary compatibility.

 -- Joe Drew <drew@debian.org>  Fri, 19 Oct 2001 17:13:45 -0400

mpg321 (0.2.2.1) unstable; urgency=low

  * Modify postinst to check for -e mpg123 (file exists) instead of
    -L file (file exists and is a link). This didn't happen on stock Debian
    systems, but if you manually installed mpg123 this is an issue. 
    Closes: Bug#116109

 -- Joe Drew <drew@debian.org>  Thu, 18 Oct 2001 19:03:12 -0400

mpg321 (0.2.2) unstable; urgency=medium

  * Fixed mono output. Brown paper bag bug, indeed.

 -- Joe Drew <drew@debian.org>  Sat, 13 Oct 2001 21:22:17 -0400

mpg321 (0.2.1) unstable; urgency=medium

  * Made output when files with no path in the filename were printed
    conform to mpg123 (print a newline after mpg123 blurb)
    (Closes: Bug#114136)
  * Made remote control (-R) print only the filename, minus the extension
    (if one exists), as documented
  * Made mpg321 continue if there was a playlist specified but no
    files on the command-line (Closes: Bug#113294)
  * Concatenated the directory specified for the playlist with the files
    within the playlist itself, as long as the file wasn't specified with
    an absolute path
  * Added and changed header inclusion for BSDs - Patch by Christian Weisgerber
  * Changed calc_length to use unbuffered I/O only; buffered/unbuffered mix
    is undefined on some libcs - Patch by Christian Weisgerber

