## mpg321 0.2.10.3

=== debian/changelog ===
mpg321 (0.2.10.3) unstable; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix format string vulnerabilities (CAN-2003-0969)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Jan 2004 11:50:39 -0800

mpg321 (0.2.10.1-1.1) unstable; urgency=low

  * NMU
  * Apply patch to close fd (Closes: Bug#178948)

 -- Mario Lang <mlang@debian.org>  Mon, 31 Mar 2003 10:56:12 +0200
