## mpg321 0.2.10.4

=== debian/changelog ===
mpg321 (0.2.10.4) unstable; urgency=low

  * NMU
  * Update description: mpg123 is now free. Closes: #390358

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 16:22:35 -0400
