## mpg321 0.2.10.6

=== debian/changelog ===
mpg321 (0.2.10.6) unstable; urgency=low

  * QA upload.
  * Don't use update-alternatives --auto in prerm. (Closes: #506892).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 26 Nov 2008 13:10:23 -0500

mpg321 (0.2.10.5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Add large file support. (Closes: #152392).
    + Thanks to Clint Adams for the patch.
  * Avoid crashing on non mp3 files. (Closes: #458035).
    + Thanks to Justin Pryzby for the patch.
  * Don't scan file before playback. (Closes: #500102).
    + Thanks to Mikko Rapeli for the patch.
  * Don't leave dangling symlink. (Closes: #227713).
    + Thanks to Donggyoo Lee for the patch.
  * README.remote should use @P not @S. (Closes: #153596).
    + Add STOP comments.
  * Make AM_PATH_AO XIPH_PATH_AO in configure.ac.
  * Escape hyphens in manpage.
  * Bump debhelper build-dep to 5.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Make distclean not ignore errors.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 11 Nov 2008 14:25:12 -0500
