=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mpg321
 Section: sound
 Priority: optional
-Maintainer: Joe Drew <drew@debian.org>
-Build-Depends: debhelper (>> 2.0.0), libmad0-dev, libao-dev (>= 0.8.0), libid3tag0-dev, zlib1g-dev
-Standards-Version: 3.5.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>> 5.0.0), libmad0-dev, libao-dev (>= 0.8.0), libid3tag0-dev, zlib1g-dev
+Standards-Version: 3.8.0
 
 Package: mpg321
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: mpg123, mp3-decoder
 Description: mpg123 clone that doesn't use floating point
  mpg321 is a clone of the popular mpg123 command-line mp3 player. It should
