=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 CFLAGS = -O2 -Wall -Wunused
 INSTALL_PROGRAM = /usr/bin/install -c
@@ -40,7 +37,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
 
 install: build
