## mpg321 0.2.11

=== debian/changelog ===
mpg321 (0.2.11-3) unstable; urgency=high

  * Now mpg321 displays the right MPEG version. (Closes: Bug#197726).
  * New function added for restoring the correct xterm title.
  * New troubleshooting information added for the resources that mpg321
    uses for xterm control.
  * Bug #182122 should close now because in this version of Debian we don't
    face such problems. So i am closing this bug. (Closes: Bug#182122).
  * Man page now includes the new "-l" option. (Closes: Bug#575836).
    Thanks to Memnon Anon.
  * Tried to reproduce the same experiment as Bug #388587 and 
    i don't see any problem.
    If someone else can simulate the same problem, please report the bug
    and the way to simulate it again.So i am closing thsi bug also.
    (Closes: Bug#388587)
  * Anyone who wants to use the "-a" option can follow the information from 
    the manpage. To give an example: "mpg321 -a /dev/dsp song.mp3".
    So Bug #286176 should close.The "-a" option seems to work fine.
    (Closes: Bug#286176).
  * Properly added DM-Upload-Allowed: yes to source section of control file.
  * Adjusted watch file properly to eliminate errors of uscan.
  * Bumped debhelper versioned Build-Depends to 7, and updated
    debian/compat.
  * Bumped libao-dev versioned Build-Depends to 1.0.0.
  * Fixed libao-dev problem with the new structure option
    in ao_format_sample structure. In a near future version
    mpg321 will utilise the power of this new libao option.
    (Closes: Bug#580062, Bug#580193) 

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 24 May 2010 12:45:08 +0200

mpg321 (0.2.11-2) unstable; urgency=high
  
  * Fixed PATH_MAX POSIX constant needed for GNU/Hurd compilation.
  * Fixed compilation errors for MIPS and MIPSEL architectures
    by reporting the libmad bug to the pkg-maintainers.Bug fixed and
    closed. Thanks. 
  * Changed to Quilt patch maintenance system.
  * Added xterm title setting option so to enable/disable the feature.
    Also gmusicbrowser doesn't crash anymore. 
    (Closes: Bug#566544),(Closes: Bug#567104).
  * mpg321 can stream a URL from 0.2.10.1 version. Bug#166512 should
    have already been closed. (Closes: Bug#166512).
  * mpg321 has already been adopted. (Closes: Bug#533671).
  
 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 21 Feb 2010 12:51:08 +0200

mpg321 (0.2.11-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: Bug#471770).
  * Updated S-V to 3.8.3.
  * Added HTTP Proxy support with Basic Authentication mechanism
    from Chrysostomos Nanakos <nanakos@wired-net.gr>.
  * ID3 tags now display on all files when playing a list of files and 
    you haven't pressed CTRL-C to switch between them.
  * Make volume scaling work entirely within fixed point. This is the
    way it should have been to begin with.
  * Add patch to support IPv6 from Carlos Jesus Bernandos Cano.
    This is now the default in the Debian packages.
    (Closes: Bug#182480).
  * Fix up maintainer scripts to not quit on unknown arguments.
  * Add GAIN option to remote control mode. 
    Patch from Ralf Engels <ralf-engels@gmx.de>.
  * Improve shuffling/randomizing code. Patch from Bas Zoetekouw - thanks!
    (Closes: Bug#153594).
  * Moritz Jodeit <moritz@jodeit.org>:
     * Make http://some.server.name (no trailing slash) work.
     * Fix other networking issues.
     * Fix some format string issues.
  * Change use of random() to rand() because random() on Solaris 
    doesn't return up to RAND_MAX, but 2**31.
  * Add patch from Mario <diverses@univecom.ch> to better
    support HTTP and Shoutcast streams.

  * Nanakos Chrysostomos <nanakos@wired-net.gr>:
     * Run autoreconf to update the buildsystem to 
       current versions of autotools.
     * [debian/ruls] Use dh_installman instead of dh_installmanpages
     * Add debian/mime and call dh_installmime.
       (Closes: Bug#207871).
     * Use ifneq and not ifeq to set options for INSTALL when
       DEB_BUILD_OPTIONS has nostrip.
       (Closes: Bug#163399).
     * Acknowledge NMU (Thanks Mario Lang).
       (Closes: Bug#186968).
     * Print the current frame number of the current file when playing 
       multiple files in verbose mode. Patch from Piotr Sulecki - thanks.
       (Closes: Bug#269118).
     * Patch from Gergely Szasz to fix crash when GAIN is 
       set in remote mode without an argument.
     * Add support for winamp playlists.
       (Filter out line with # at the beginning).
       Patch from Manolis Stamatogiannakis.
     * Patch from David G. Andersen to check return value of read and only 
       decode the right number of bytes.
     * Fix off-by-one in networking code parsing ftp reply.
     * Add loop option. Patch from Nicolas Bonifas.
       (Closes: Bug#158950).
     * Add output remote mode to distinguish between stopping playback and
       the song finishing. Patch from Nicolas Bonifas.
     * Reinitialise the current playback time when rewinding.
       Another patch from Nicolas Bonifas.
     * Only show the verbose option once in the usage text.
       (Closes: Bug#285959).
     * Add xterm title support.Patch from Chrysostomos Nanakos.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Tue, 11 Jan 2010 19:17:42 +0200
 
