=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: mpg321
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>> 5.0.0), libmad0-dev, libao-dev (>= 0.8.0), libid3tag0-dev, zlib1g-dev
-Standards-Version: 3.8.0
+Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
+Homepage: http://mpg321.sourceforge.net
+Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev
+Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
 
 Package: mpg321
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: mpg123, mp3-decoder
-Description: mpg123 clone that doesn't use floating point
+Description: Simple and lighweight command line MP3 player
  mpg321 is a clone of the popular mpg123 command-line mp3 player. It should
  function as a drop-in replacement for mpg123 in many cases. While some of
  the functionality of mpg123 is not yet implemented, mpg321 should function
