=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 
 CFLAGS = -O2 -Wall -Wunused
 INSTALL_PROGRAM = /usr/bin/install -c
@@ -43,7 +44,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+#	dh_clean -k
 	dh_installdirs
 
 	# mandir here has DESTDIR prepended to it
@@ -59,7 +60,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installmanpages
+#	dh_installmanpages
+	dh_installman
 	dh_installchangelogs 
 	dh_link
 	dh_strip
