## mpg321 0.2.12

=== debian/changelog ===
mpg321 (0.2.12-1) unstable; urgency=high

  * New upstream release.
  * Added AudioScrobbler support.
  * Added FFT analysis support on PCM data for Remote mode play.
  * mpg123 has been relicensed under the LGPL/GPL. Changed man page
    accordingly. (Closes: Bug#533674).
  * mpg321 now exits code 1 after failing to play music. (Closes: Bug#501334).
  * Fixed ID3v2 tag problem which resulted in a splat-sound at the start of
    the file. Patch from Martin Wellard. Thanks.
  * Added support for recursive reading of directories. Patch from Giuseppe
    Scrivano <gscrivano@gnu.org> and Michal Čihař <nijel@debian.org>.
    (Closes: Bug#266887).
  * Updated S-V to 3.9.0
  	- debian/copyright file is now UTF-8 encoded.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Tue, 29 Jun 2010 21:44:36 +0300
