=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
 Homepage: http://mpg321.sourceforge.net
 Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev
-Standards-Version: 3.8.4
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.0
 
 Package: mpg321
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libaudio-scrobbler-perl
 Provides: mpg123, mp3-decoder
 Description: Simple and lighweight command line MP3 player
  mpg321 is a clone of the popular mpg123 command-line mp3 player. It should
