## mpg321 0.2.13

=== debian/changelog ===
mpg321 (0.2.13-3) unstable; urgency=low

  * Fixed the really annoying bug which didn't restore the TTY 
    when mpg321 exited.
  * Updated S-V to 3.9.2 
  	- debian/copyright file has been revised.
  	- debian/rules file has been revised.
  * Fixed '-a' option to conform with ALSA's uniform device naming. Also
    changed man to conform with this change. Now you can use alsa driver
    by setting the name of the audio device using the hw:x,y syntax, 
    where x and y are numbers. For example, if there is only one device 
    installed, in most cases, the device should be named hw:0,0. 
    When there is only one device, the device should always have the 
    same name and numbers. Finally if the default driver which mpg321
    is compiled is ALSA then you don't have to specify it with the '-o'
    option and you can use '-a' only to specify the audio device.
    (Closes: Bug#623941).
  
 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 24 Jul 2011 15:08:09 +0300

mpg321 (0.2.13-2) unstable; urgency=low

  * Added '-K' option so the user can enable/disable the Basic Keys
    functionality. This also resolves the 100% CPU problem when mpg321 
    is run by asterisk for music hold on.
    Thanks to James Bottomley for pointing that out. (Closes: Bug#619773).     
  * Added new algorithm when playing files randomly until interrupted. The
    advertised behavior is much better than the previous one.Patch from 
    Peter Selinger.Thanks.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Tue, 05 Apr 2011 23:23:54 +0200

mpg321 (0.2.13-1) unstable; urgency=low

  * Added uClinux support for embedded systems (Blackfin, Atmel and others).
  * Added some Basic Control Keys, Volume Up/Down & Skip, for the moment.
  * Updated S-V to 3.9.1
       - debian/copyright file has been revised.
  * If mmap() fails we fall back to read(). (Closes: Bug#148971).
    (Closes: Bug#196787)
  * Removed built-in getopt function.
  * Problem solved when -x option was invoked and mpg321 couldn't obtain the
    current terminal file. If none is forthcoming (e.g. xterm window ops are
    disabled) then mpg321 does not block.
  * Removed the dependency for the libaudio-scrobbler-perl package from
    debian/control file. (Closes: Bug#588051).
  * Added LDFLAGS += -Wl,-z,defs -Wl,--as-needed in debian/rules file
    to limit the dependencies a bit. Dropped '-c' option from 'install'
    command. Thanks to Sven Hoexter <sven@timegate.de>.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 20 Feb 2011 15:35:00 +0300
