=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
 Homepage: http://mpg321.sourceforge.net
-Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev, dpkg-dev (>= 1.15.8.10)
+Standards-Version: 3.9.2
 
 Package: mpg321
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libaudio-scrobbler-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: mpg123, mp3-decoder
-Description: Simple and lighweight command line MP3 player
+Recommends: libaudio-scrobbler-perl
+Description: Simple and lightweight command line MP3 player
  mpg321 is a clone of the popular mpg123 command-line mp3 player. It should
  function as a drop-in replacement for mpg123 in many cases. While some of
  the functionality of mpg123 is not yet implemented, mpg321 should function
