## mpg321 0.3.0

=== debian/changelog ===
mpg321 (0.3.0-1) unstable; urgency=low

  * Fixed trailing "/" when printint directory. 
    Bug reported from Erik (Gentoo).
  * Fixed mistake for '--cdr' option. It should be 'cdr file'
    than 'wave file' in output.
  * mpg321 now supports multiprocessing buffering.Check '-b' option. 
    (Closes: Bug#113405).
  * Added '-3' or '--restart' option in man file.
  * Added ALSA volume control when using output buffer.
  * Added Mute/unmute into Basic Keys functionality.
  * Fixed -Werror=format-security issues.
    Thanks to Micah Gersten <micahg@ubuntu.com>. (Closes: Bug#646317)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 13 Nov 2011 13:42:36 +0300

mpg321 (0.2.13-4) unstable; urgency=low

  * Fixed bug when trying to "load file" from a remote instance and 
    an error was raised repeatdly until mpg321 process died with 
    "too many open files". (Closes: Bug#128676)
  * Added '-3' or '--restart' option that handles non existent or 
    corrupted files more elegantly when in remote mode. When option 
    is enabled the remote shell does not die and is restarted waiting
    for a new command.
  * Fixed FTBFS for mpg321 by removing debian_changes patch file in 
    debian/patches directory. (Closes: Bug#643222).

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Thu, 29 Sep 2011 19:33:24 +0300
