=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nanakos Chrysostomos <nanakos@wired-net.gr>
 Homepage: http://mpg321.sourceforge.net
-Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev, dpkg-dev (>= 1.15.8.10)
+Build-Depends: debhelper (>> 7.0.0),libmad0-dev, libao-dev (>= 1.0.0), libid3tag0-dev, zlib1g-dev, dpkg-dev (>= 1.15.8.10), libasound2-dev (>= 1.0.23-2.1)
 Standards-Version: 3.9.2
 
 Package: mpg321
