## mpg321 0.3.1

=== debian/changelog ===
mpg321 (0.3.1-1) unstable; urgency=low
 
  * Fixed debian/rules, configure.ac, volume.c, mpg321.c and remote.c
    so that mpg321 can compile to architectures that do not support 
    ALSA.
  * Fixed typo ("lighweight") in the man page.
    Thanks to A.Costa <agcosta@gis.net> (Closes: Bug#650150)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 19 Feb 2012 13:00:36 +0300
