## mpg321 0.3.2

=== debian/changelog ===
mpg321 (0.3.2-4) unstable; urgency=medium

  * Team upload.
    Closes: #1086803
  * Maintain package in Debian Multimedia team
  * Review d/copyright
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.2.11-1.
  * watch file standard 4 (routine-update)
  * Short dh
  * Fix ftbfs with GCC-14
    Closes: #1075291
  * Secure URI in watch file
  * "CPU uses to be reduced" is solved in version 0.3.x
    Closes: #687847
  * Enable hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #864499)
    + Let dh_auto_configure pass --host flag.
    + Deconfuse build/host.

  [ Kevin Ryde ]
  * Add mailcap entries
    Closes: #728048

  [ наб ]
  * Note that the manual's Basic keys require -K in situ (Closes: #712832)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Nov 2024 11:38:44 +0100

mpg321 (0.3.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * 14_ftbfs_implicit.diff: Fix build error with
    -Wno-error=implicit-function-declaration. Closes: #1066115

 -- Andreas Metzler <ametzler@debian.org>  Wed, 27 Mar 2024 15:40:50 +0100

mpg321 (0.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export CFLAGS to make them take effect.
  * Add -Wno-error=format-security to CFLAGS to disable the default from
    dpkg-buildflags as workaround for some build error.
  * Add -fcommon to CFLAGS (Closes: #957563).
  * Remove circular build dependencies around build-stamp which make the
    package FTBFS in clean environments.

 -- Joachim Reichel <reichel@debian.org>  Thu, 23 Jul 2020 17:22:42 +0200

mpg321 (0.3.2-3) unstable; urgency=medium

  * Fix compilation error

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Wed, 13 Mar 2019 16:58:33 +0200

mpg321 (0.3.2-2) unstable; urgency=medium

  * Handle illegal bitrate value (Closes: Bug#887057), (Closes: Bug#870406)

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Wed, 13 Mar 2019 16:34:47 +0200

mpg321 (0.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove dh_testroot in 'rules install', #666350 could really be closed.

 -- Emfox Zhou <emfox@debian.org>  Tue, 01 May 2012 14:51:29 +0800

mpg321 (0.3.2-1) unstable; urgency=low

  * Fixed bugs to stdout-output (remove garbage in buffer from wrong
    stdout fprintf's, it should have been stderr instead)
  * Fixed bug when closing the stream of AO device that caused wrong
    header to the output buffer for the normal operation. Buffered output
    has no problem with that.
  * Fixed FTBFS (Closes: Bug#666350)

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 25 Mar 2012 14:27:09 +0300
