=== debian/control ===
Source: mpg321
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Nanakos Chrysostomos <nanakos@wired-net.gr>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (=13),
               libmad0-dev,
               libao-dev,
               libid3tag0-dev,
               zlib1g-dev,
               libasound2-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg321
Vcs-Git: https://salsa.debian.org/multimedia-team/mpg321.git
Homepage: https://mpg321.sourceforge.net
Rules-Requires-Root: no

Package: mpg321
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libaudio-scrobbler-perl
Provides: mpg123,
          mp3-decoder
Description: Simple and lightweight command line MP3 player
 mpg321 is a clone of the popular mpg123 command-line mp3 player. It should
 function as a drop-in replacement for mpg123 in many cases. While some of
 the functionality of mpg123 is not yet implemented, mpg321 should function
 properly in most cases for most people, such as for frontends such as
 gqmpeg.
 .
 mpg321 is based on the mad MPEG audio decoding library. It therefore is
 highly accurate, and also uses only fixed-point calculation, making it
 more efficient on machines without a floating-point unit. It is not as
 fast as mpg123 on systems which have a floating point unit.
