=== debian/watch ===
version=4
https://mpg321.sourceforge.net/mpg321.html mpg321_(.*)\.tar\.gz	debian uupdate
